Skip to main content
GET
/
products
/
{id}
Get a product
curl --request GET \
  --url https://api.sentralbee.app/v1/products/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "status": "<string>",
  "type": "<string>",
  "description": "<string>",
  "category": "<string>",
  "requires_shipping": true,
  "can_preorder": true,
  "total_stock": 123,
  "price_range": {},
  "media": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "url": "<string>",
      "thumbnail": "<string>",
      "type": "<string>",
      "position": 123
    }
  ],
  "variants": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "sku": "<string>",
      "stock": 123,
      "price": {},
      "attributes": {}
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://sentralbee.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Workspace API key. The workspace is derived from the key.

Path Parameters

id
string<uuid>
required

Resource UUID.

Response

The product

id
string<uuid>
required
name
string
required
status
string
required
type
string
required
description
string
category
string
requires_shipping
boolean
can_preorder
boolean
total_stock
integer
price_range
object
media
object[]
variants
object[]
created_at
string<date-time>
updated_at
string<date-time>